## com.saxonica
Class Query

    java.lang.Object
      net.sf.saxon.Query
          com.saxonica.Query

    public class Query

extends Query

This is a schema-aware version of the command line interface for running XQuery

Field Summary

Fields inherited from class net.sf.saxon.Query
`backup, config, explain, explainOutputFileName, moduleURIResolverClass, outputFileName, projection, pullMode, queryFileName, repeat, showTime, sourceFileName, updating, uriResolverClass, useURLs, wrap, writeback`

Constructor Summary
`Query()`

Method Summary
`static void` `main(java.lang.String[] args)` Main program, can be used directly from the command line.
`protected Configuration` `makeConfiguration(boolean schemaAware, java.lang.String className)` Set the configuration.

Methods inherited from class net.sf.saxon.Query
`badUsage, compileQuery, doQuery, explain, getConfiguration, loadAdditionalSchemas, parseOptions, processSource, processSourceFile, quit, runQuery, testIfSchemaAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Query

    public Query()

Method Detail

### makeConfiguration

    protected Configuration makeConfiguration(boolean schemaAware,
                                              java.lang.String className)

  Set the configuration. This is designed to be overridden in a subclass

  Overrides:
    `makeConfiguration` in class `Query`
  Parameters:
    `schemaAware` - true if a schema-aware configuration is required (in this case Saxon-SA must be installed and licensed)
    `className` - the name of the class to be loaded, representing the Configuration. This allows additional control of the loading process under .NET
  Returns:
    the successfully loaded Configuration

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Main program, can be used directly from the command line.

  The format is:

  java net.sf.saxon.Transform [options] source-file style-file >output-file

  followed by any number of parameters in the form {keyword=value}... which can be referenced from within the stylesheet.

  This program applies the XSL style sheet in style-file to the source XML document in source-file.

  Parameters:
    `args` - List of arguments supplied on operating system command line
  Throws:
    `java.lang.Exception` - Indicates that a compile-time or run-time error occurred

Copyright (c) Saxonica Limited. All rights reserved.